OpenVDB 7.0.0

Public Types | Public Member Functions | List of all members
PointIndex< IntType_, Kind > Struct Template Reference

Integer wrapper, required to distinguish PointIndexGrid and PointDataGrid from Int32Grid and Int64Grid. More...

`#include <Types.h>`

## Public Types
using | IntType = IntType_

## Public Member Functions
| PointIndex (IntType i=IntType(0))
template<typename T >
| PointIndex (T i)
| Explicit type conversion constructor. More...
| operator IntType () const
template<typename T >
PointIndex | operator+ (T x)
| Needed to support the `(zeroVal<PointIndex>() + val)` idiom. More...

## Detailed Description

### template<typename IntType_, Index Kind>
struct openvdb::v7_0::PointIndex< IntType_, Kind >

Integer wrapper, required to distinguish PointIndexGrid and PointDataGrid from Int32Grid and Int64Grid.

Note
  `Kind` is a dummy parameter used to create distinct types.

## Member Typedef Documentation

## ◆ IntType

using IntType = IntType_

## Constructor & Destructor Documentation

## ◆ PointIndex() [1/2]

PointIndex | ( | IntType | i = `IntType(0)` | ) |
| inline

## ◆ PointIndex() [2/2]

PointIndex | ( | T | i | ) |
| inline explicit

Explicit type conversion constructor.

## Member Function Documentation

## ◆ operator IntType()

operator IntType | ( |  | ) | const
| inline

## ◆ operator+()

PointIndex operator+ | ( | T | x | ) |
| inline

Needed to support the `(zeroVal<PointIndex>() + val)` idiom.

The documentation for this struct was generated from the following file:

- Types.h